Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues
Class FacesConfigValidatorIDFeatures

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractMetaDataEnabledFeature
          org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.FacesConfigIdentifierFeatures
              org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.FacesConfigValidatorIDFeatures

All Implemented Interfaces:
  IMetaDataEnabledFeature, IPossibleValues, IValidELValues, IValidValues

public class FacesConfigValidatorIDFeatures
extends FacesConfigIdentifierFeatures

Field Summary
`protected static java.lang.String` | `IMAGE_NAME`
`protected static java.lang.String` | `VALIDATOR`

Fields inherited from class org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.FacesConfigIdentifierFeatures
`ID_TYPE_PROP_NAME, imageName, MISSING_IMAGE, validationMessages`

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.internal.provisional.features.IPossibleValues
`POSSIBLE_VALUES_FOR_DISPLAY_PROP_NAME, POSSIBLE_VALUES_PROP_NAME, POSSIBLE_VALUES_SMALL_ICON_PROP_NAME`

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.internal.provisional.features.IValidValues
`VALID_VALUES_CODE_PROP_NAME, VALID_VALUES_MAX_PROP_NAME, VALID_VALUES_MESSAGE_PROP_NAME, VALID_VALUES_MIN_PROP_NAME, VALID_VALUES_PROP_NAME, VALID_VALUES_SEVERITY_PROP_NAME`

Constructor Summary
`FacesConfigValidatorIDFeatures()`

Method Summary
`protected java.util.List` | `getElementIDs(JSFAppConfigManager mgr)`
`protected java.util.List` | `getElements(JSFAppConfigManager mgr)`
`protected java.lang.String` | `getImageName()`
`protected java.lang.String` | `getMyValidationMessage(java.lang.String value)`
`protected java.util.List` | `getPossibleValueProposals(java.util.List elements)`
`protected java.lang.String` | `getReturnType()`

Methods inherited from class org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.FacesConfigIdentifierFeatures
`createProposal, getAssignmentType, getCMValidationCode, getCMValidationMessage, getCMValidationSeverity, getExpectedRuntimeType, getImage, getPossibleValues, getValidationMessage, getValidationMessages, isValidValue, singleQuote`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractMetaDataEnabledFeature
`getBundleID, getCMAnnotationContext, getCMAttributePropertyValue, getCMAttributePropertyValues, getCMSmallIcon, getStructuredDocumentContext, setBundleID, setContentModelContext, setStructuredDocumentContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.internal.provisional.IMetaDataEnabledFeature
`getBundleID, getCMAnnotationContext, getStructuredDocumentContext, setBundleID, setContentModelContext, setStructuredDocumentContext`

Field Detail

### VALIDATOR

    protected static final java.lang.String VALIDATOR

See Also:
  Constant Field Values

### IMAGE_NAME

    protected static final java.lang.String IMAGE_NAME

See Also:
  Constant Field Values

Constructor Detail

### FacesConfigValidatorIDFeatures

    public FacesConfigValidatorIDFeatures()

Method Detail

### getReturnType

    protected java.lang.String getReturnType()

  Specified by:
    `getReturnType` in class `FacesConfigIdentifierFeatures`
  Returns:
    the config-type

### getElements

    protected java.util.List getElements(JSFAppConfigManager mgr)

  Specified by:
    `getElements` in class `FacesConfigIdentifierFeatures`
  Returns:
    list of faces-config element for the specified config-type

### getPossibleValueProposals

    protected java.util.List getPossibleValueProposals(java.util.List elements)

  Specified by:
    `getPossibleValueProposals` in class `FacesConfigIdentifierFeatures`
  Parameters:
    `elements` -
  Returns:
    list of IPossibleValue objects for the specified list of config elements

### getImageName

    protected java.lang.String getImageName()

  Specified by:
    `getImageName` in class `FacesConfigIdentifierFeatures`
  Returns:
    image name relative to the FacesConfigEditPlugin where the images are stored

### getMyValidationMessage

    protected java.lang.String getMyValidationMessage(java.lang.String value)

  Specified by:
    `getMyValidationMessage` in class `FacesConfigIdentifierFeatures`
  Returns:
    the validation message String

### getElementIDs

    protected java.util.List getElementIDs(JSFAppConfigManager mgr)

  Specified by:
    `getElementIDs` in class `FacesConfigIdentifierFeatures`
  Returns:
    list of identifier Strings for config-type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD